Bug 815664 - implicit output of kdumpctl start/stop
implicit output of kdumpctl start/stop
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kexec-tools (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Baoquan He
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 815665
  Show dependency treegraph
 
Reported: 2012-04-24 04:12 EDT by WANG Chao
Modified: 2013-05-27 02:09 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 815665 (view as bug list)
Environment:
Last Closed: 2013-05-27 02:09:15 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
proposed patch (2.57 KB, patch)
2012-06-08 01:52 EDT, Dave Young
no flags Details | Diff

  None (edit)
Description WANG Chao 2012-04-24 04:12:07 EDT
Description of problem:
In fc17:
[root@ibm-x3550m3-01 ~]# kdumpctl restart
Stopping kdump:
Detected /etc/kdump.conf or /boot/vmlinuz-3.3.2-8.fc17.x86_64 change
Rebuilding /boot/initramfs-3.3.2-8.fc17.x86_64kdump.img
rpmversion
dm
kernel-modules
lvm
fstab-sys
rootfs-block
udev-rules
base
fs-lib
kdumpbase
shutdown
Starting kdump:

Back in rhel6/5, we can get:
[root@localhost ~]# /etc/init.d/kdump restart
Stopping kdump:                                            [  OK  ]
Detected change(s) the following file(s):
  
  /etc/kdump.conf
Rebuilding /boot/initrd-2.6.18-308.el5kdump.img
Starting kdump:                                            [  OK  ]

The status of the specific kdumpctl start/stop is missing, we can't really tell whether the kdumpctl start/stop works or not from the output. But sure we can use `echo $?` everytime we use kdumpctl.

Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1.touch /etc/kdump.conf
2.kdumpctl restart
3.
  
Actual results:
Stopping kdump:
Starting kdump:

Expected results:
Stopping kdump:                                            [  OK  ]
Starting kdump:                                            [  OK  ]

Additional info:
Comment 1 Dave Young 2012-06-08 01:52:06 EDT
Created attachment 590338 [details]
proposed patch
Comment 2 Fedora Admin XMLRPC Client 2013-02-25 03:06:49 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Note You need to log in before you can comment on or make changes to this bug.